warbrokersapi

An API for a browser based multi-player game War Brokers


Keywords
API WB WarBrokers War Brokers warbrokers warbrokersapi, python-library, war-brokers
License
Apache-2.0
Install
pip install warbrokersapi==0.2.1

Documentation

War Brokers API

This is a github repository for a python library wbscraper.
An web scraper for a browser based multi-player game War Brokers.

The API is still in development, so most features are not available.

The API uses semantic version system.
In version X.Y.Z:
Change in X indicates an upgrade that makes the API non backward compatible.
Change in Y indicates an upgrade such as additional features and is backward compatible.
Change in Z indicates a patch such as an error fix or algorithm optimization. It is backward compatible.

You can find documentations in the documentation page.

wbscraper is developed and tested on Ubuntu 18.04.4 LTS (Bionic Beaver).

Installation

Please note that the library is still under rapid development, so you should expect:

  • Some parts of the library may change without notice
  • The library may be very unstable
  • Some functions are incomplete

Using PIP

You can install the API simply by using pip install wbscraper.

Installing Manually

If you want to build the library yourself, run python3 setup.py sdist bdist_wheel. This will create build/ and dist/ directory. installable wheel (.whl) file will be inside the dist/ directory. Then you can run pip3 install <name>.whl to install it.